﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace WindowsFormsApplication1
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            // Here are the important properties
            ultraChart1.Axis.X.Extent = 10;
            ultraChart1.Axis.Y.Extent = 10;
            
            // If you are using 3D charts
            ultraChart1.Axis.Z.Extent = 10;


            // I add some data
            DataTable dt = new DataTable();
            dt.Columns.Add("Time", typeof(double));
            dt.Columns.Add("BPL", typeof(double));
            dt.Columns.Add("BPH", typeof(double));
            dt.Columns.Add("Pulse", typeof(double));

            dt.Rows.Add(0.0, 0, 0, 0);
            dt.Rows.Add(0.2, 90, 140, 80);
            dt.Rows.Add(0.3, 110, 160, 90);
            dt.Rows.Add(0.7, 115, 160, 80);
            dt.Rows.Add(1, 120, 155, 90);
            dt.Rows.Add(1.2, 122, 157, 90);
            dt.Rows.Add(1.5, 120, 160, 80);
            dt.Rows.Add(3, 150, 200, 90);
            dt.Rows.Add(4, 100, 120, 70);

            ultraChart1.DataSource = dt;
        }
    }
}
